#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
	mensagem = "Hello SVR2015!!!";
	raio = 0;

	cam.initGrabber(640,480);
	
	camX = ofGetWidth()/2 - 640/2;
	camY = ofGetHeight()/2 - 480/2;
}

//--------------------------------------------------------------
void ofApp::update(){

	cam.update();

	if(cam.isFrameNew()){

	}
}

//--------------------------------------------------------------
void ofApp::draw(){

	ofSetColor(ofColor::white);
	cam.draw(camX , camY);

	ofEnableAlphaBlending();	
	ofSetColor(ofColor::blue,128);
	ofCircle(x_i,y_i,raio);

	ofSetColor(ofColor::red);
	ofDrawBitmapString(mensagem,mouseX,mouseY);

}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){
	raio = ofDist(x_i,y_i,x,y); 
}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){
	x_i = x;
	y_i = y;

}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){
	raio = ofDist(x_i,y_i,x,y); 

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){
	camX = ofGetWidth()/2 - 640/2;
	camY = ofGetHeight()/2 - 480/2;
}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}
